# CommandHelp (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: CommandHelp

Package co.aikar.commands

# Class CommandHelp

java.lang.Object
co.aikar.commands.CommandHelp

public class CommandHelp extends Object

## Constructor Summary

Constructors
Constructor
Description
`CommandHelp(CommandManager manager, RootCommand rootCommand, CommandIssuer issuer)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommandName()`
`String`
`getCommandPrefix()`
`List<HelpEntry>`
`getHelpEntries()`
`CommandIssuer`
`getIssuer()`
`CommandManager`
`getManager()`
`int`
`getPage()`
`int`
`getPerPage()`
`List<String>`
`getSearch()`
`Set<HelpEntry>`
`getSelectedEntry()`
`int`
`getTotalPages()`
`int`
`getTotalResults()`
`boolean`
`isLastPage()`
`boolean`
`isOnlyPage()`
`void`
`setPage(int page)`
`void`
`setPage(int page, int perPage)`
`void`
`setPerPage(int perPage)`
`void`
`setSearch(List<String> search)`
`void`
`showHelp()`
`void`
`showHelp(CommandIssuer issuer)`
`boolean`
`testExactMatch(String command)`
`protected void`
`updateSearchScore(HelpEntry help)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandHelp

public CommandHelp (CommandManager manager, RootCommand rootCommand, CommandIssuer issuer)

## Method Details

### updateSearchScore

protected void updateSearchScore (HelpEntry help)

### getManager

public CommandManager getManager()

### testExactMatch

public boolean testExactMatch (String command)

### showHelp

public void showHelp()

### showHelp

public void showHelp (CommandIssuer issuer)

### getHelpEntries

public List<HelpEntry> getHelpEntries()

### setPerPage

public void setPerPage (int perPage)

### setPage

public void setPage (int page)

### setPage

public void setPage (int page, int perPage)

### setSearch

public void setSearch (List<String> search)

### getIssuer

public CommandIssuer getIssuer()

### getCommandName

public String getCommandName()

### getCommandPrefix

public String getCommandPrefix()

### getPage

public int getPage()

### getPerPage

public int getPerPage()

### getSearch

public List<String> getSearch()

### getSelectedEntry

public Set<HelpEntry> getSelectedEntry()

### getTotalResults

public int getTotalResults()

### getTotalPages

public int getTotalPages()

### isOnlyPage

public boolean isOnlyPage()

### isLastPage

public boolean isLastPage()